GNU bug report logs - #37549
guix build bootstrap-tarballs installed but strip-install failed

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Bengt Richter <bokr@HIDDEN>; dated Sun, 29 Sep 2019 07:08:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 37549 <at> debbugs.gnu.org:


Received: (at 37549) by debbugs.gnu.org; 29 Sep 2019 16:14:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 12:14:00 2019
Received: from localhost ([127.0.0.1]:55673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEbpg-0004zJ-8s
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 12:14:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43167)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1iEbpe-0004z7-Od
 for 37549 <at> debbugs.gnu.org; Sun, 29 Sep 2019 12:13:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51758)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1iEbpY-0007mf-Hl; Sun, 29 Sep 2019 12:13:52 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=51360
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1iEbpY-0007xr-34; Sun, 29 Sep 2019 12:13:52 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Bengt Richter <bokr@HIDDEN>
Subject: Re: bug#37549: guix build bootstrap-tarballs installed but
 strip-install failed
References: <20190929070712.GA127225@HIDDEN>
 <878sq74glk.fsf@HIDDEN> <87v9tb2v6y.fsf@HIDDEN>
Date: Sun, 29 Sep 2019 18:13:49 +0200
In-Reply-To: <87v9tb2v6y.fsf@HIDDEN> (Jan Nieuwenhuizen's message of "Sun, 29
 Sep 2019 13:33:41 +0200")
Message-ID: <87muen2i82.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37549
Cc: 37549 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jan Nieuwenhuizen writes:

> Jan Nieuwenhuizen writes:
>
>> Bengt Richter writes:
>>> I tried
>>>     guix build bootstrap-tarballs
>>
>> Yes, sadly that's not supported on current master.  It should work on
>> core-updates.  So I tried that and found it fails in similar ways.
>
> The attached patches resurrect the creation of bootstrap tarballs.

> +(define-public mescc-tools
..
> +     (substitute-keyword-arguments (package-arguments mescc-tools-0.5.2)
> +       ((#:make-flags flags)

Changed to

    ((#:make-flags _)

As discussed on IRC.

> +        `(list (string-append "PREFIX=3D" (assoc-ref %outputs "out"))
> +               "CC=3Dgcc"))))))
> --=20

After discussing on IRC, pushed to core-updates as 737c83f0ff9977572516c655=
02bdde92abd18629.

This means that

    ./pre-inst-env guix build bootstrap-tarballs

now works on core-updates.  It will not work on master until
core-updates is merged.

Greetings,
janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#37549; Package guix. Full text available.

Message received at 37549 <at> debbugs.gnu.org:


Received: (at 37549) by debbugs.gnu.org; 29 Sep 2019 11:34:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 07:34:10 2019
Received: from localhost ([127.0.0.1]:52423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEXSi-0001rH-TG
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 07:34:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1iEXSe-0001r1-5z
 for 37549 <at> debbugs.gnu.org; Sun, 29 Sep 2019 07:34:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46936)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1iEXSU-0003tV-Kg; Sun, 29 Sep 2019 07:33:47 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=50588
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1iEXSR-0005ny-Ix; Sun, 29 Sep 2019 07:33:44 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Bengt Richter <bokr@HIDDEN>
Subject: Re: bug#37549: guix build bootstrap-tarballs installed but
 strip-install failed
Organization: AvatarAcademy.nl
References: <20190929070712.GA127225@HIDDEN>
 <878sq74glk.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Sun, 29 Sep 2019 13:33:41 +0200
In-Reply-To: <878sq74glk.fsf@HIDDEN> (Jan Nieuwenhuizen's message of "Sun, 29
 Sep 2019 11:05:59 +0200")
Message-ID: <87v9tb2v6y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37549
Cc: 37549 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Jan Nieuwenhuizen writes:

> Bengt Richter writes:
>> I tried
>>     guix build bootstrap-tarballs
>
> Yes, sadly that's not supported on current master.  It should work on
> core-updates.  So I tried that and found it fails in similar ways.

The attached patches resurrect the creation of bootstrap tarballs.

Note that plain mes (./pre-inst-env guix build mes) still does not
build; that also needs #37550.

Greetings,
janneke


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0001-bootstrap-mescc-tools-Use-mescc-tools-0.5.2-mescc-to.patch

From 74607653378ca1bcfed6a415a7432fd2a8af7105 Mon Sep 17 00:00:00 2001
From: Jan Nieuwenhuizen <janneke@HIDDEN>
Date: Sun, 29 Sep 2019 10:36:46 +0200
Subject: [PATCH 1/3] bootstrap: mescc-tools: Use mescc-tools-0.5.2,
 mescc-tools.

* gnu/packages/mes.scm (mescc-tools-0.5.2): New variable; rename from
mescc-tools.
(mescc-tools): Rename from mescc-tools-0.6.1.  Fix build.
* gnu/packages/make-bootstrap.scm (%mescc-tools-static): Inherit fixed
mescc-tools-0.5.2.
---
 gnu/packages/make-bootstrap.scm | 25 +------------------------
 gnu/packages/mes.scm            | 17 ++++++++++++-----
 2 files changed, 13 insertions(+), 29 deletions(-)

diff --git a/gnu/packages/make-bootstrap.scm b/gnu/packages/make-bootstrap.scm
index 4594e2fe36..8db551b3a7 100644
--- a/gnu/packages/make-bootstrap.scm
+++ b/gnu/packages/make-bootstrap.scm
@@ -594,34 +594,11 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
            #t))))
     (inputs `(("gcc" ,%gcc-static)))))
 
-;; One package: build + remove store references
-;; (define %mescc-tools-static-stripped
-;;   ;; A statically linked Mescc Tools with store references removed, for
-;;   ;; bootstrap.
-;;   (package
-;;     (inherit mescc-tools)
-;;     (name "mescc-tools-static-stripped")
-;;     (arguments
-;;      `(#:make-flags (list (string-append "PREFIX=" (assoc-ref %outputs "out"))
-;;                           "CC=gcc -static")
-;;        #:test-target "test"
-;;        #:phases (modify-phases %standard-phases
-;;                   (delete 'configure)
-;;                   (add-after 'install 'strip-store-references
-;;                     (lambda _
-;;                       (let* ((out (assoc-ref %outputs "out"))
-;;                              (bin (string-append out "/bin")))
-;;                         (for-each (lambda (file)
-;;                                  (let ((target (string-append bin "/" file)))
-;;                                    (format #t "strippingg `~a'...~%" target)
-;;                                    (remove-store-references target)))
-;;                                   '( "M1" "blood-elf" "hex2"))))))))))
-
 ;; Two packages: first build static, bare minimum content.
 (define %mescc-tools-static
   ;; A statically linked MesCC Tools.
   (package
-    (inherit mescc-tools)
+    (inherit mescc-tools-0.5.2)
     (name "mescc-tools-static")
     (arguments
      `(#:system "i686-linux"
diff --git a/gnu/packages/mes.scm b/gnu/packages/mes.scm
index e1cb736b82..3f76eeb886 100644
--- a/gnu/packages/mes.scm
+++ b/gnu/packages/mes.scm
@@ -34,7 +34,8 @@
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix licenses)
-  #:use-module (guix packages))
+  #:use-module (guix packages)
+  #:use-module (guix utils))
 
 (define-public nyacc-0.86
   (package
@@ -134,7 +135,8 @@ Guile.")
     (home-page "https://gnu.org/software/mes")
     (license gpl3+)))
 
-(define-public mescc-tools
+(define-public mescc-tools-0.5.2
+  ;; Mescc-tools used for bootstrap.
   (let ((commit "bb062b0da7bf2724ca40f9002b121579898d4ef7")
         (revision "0")
         (version "0.5.2"))
@@ -166,9 +168,9 @@ get_machine.")
     (home-page "https://savannah.nongnu.org/projects/mescc-tools")
     (license gpl3+))))
 
-(define-public mescc-tools-0.6.1
+(define-public mescc-tools
   (package
-    (inherit mescc-tools)
+    (inherit mescc-tools-0.5.2)
     (name "mescc-tools")
     (version "0.6.1")
     (source (origin
@@ -180,4 +182,9 @@ get_machine.")
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "06jpvq6xfjzn2al6b4rdwd3zv3h4cvilc4n9gqcnjr9cr6wjpw2n"))))))
+                "06jpvq6xfjzn2al6b4rdwd3zv3h4cvilc4n9gqcnjr9cr6wjpw2n"))))
+    (arguments
+     (substitute-keyword-arguments (package-arguments mescc-tools-0.5.2)
+       ((#:make-flags flags)
+        `(list (string-append "PREFIX=" (assoc-ref %outputs "out"))
+               "CC=gcc"))))))
-- 
2.23.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=0002-bootstrap-mes-Add-mes-0.19.patch

From 98382db4246a418b9e85a65f3e1a292fa5001e91 Mon Sep 17 00:00:00 2001
From: Jan Nieuwenhuizen <janneke@HIDDEN>
Date: Sun, 29 Sep 2019 10:39:40 +0200
Subject: [PATCH 2/3] bootstrap: mes: Add mes-0.19.

* gnu/packages/mes.scm (mes-0.19): New variable.
(mes): Inherit it.
* gnu/packages/make-bootstrap.scm (%mes-minimal): Likewise.
---
 gnu/packages/make-bootstrap.scm | 35 +--------------------------------
 gnu/packages/mes.scm            | 27 ++++++++++++++++++++-----
 2 files changed, 23 insertions(+), 39 deletions(-)

diff --git a/gnu/packages/make-bootstrap.scm b/gnu/packages/make-bootstrap.scm
index 8db551b3a7..b1c4feb4f4 100644
--- a/gnu/packages/make-bootstrap.scm
+++ b/gnu/packages/make-bootstrap.scm
@@ -633,45 +633,12 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
            #t))))
     (inputs `(("mescc-tools" ,%mescc-tools-static)))))
 
-;; (define-public %mes-minimal-stripped
-;;   ;; A minimal Mes without documentation dependencies, for bootstrap.
-;;   (let ((triplet "i686-unknown-linux-gnu"))
-;;     (package
-;;       (inherit mes)
-;;       (name "mes-minimal-stripped")
-;;       (native-inputs
-;;        `(("guile" ,guile-2.2)))
-;;       (arguments
-;;        `(#:system "i686-linux"
-;;          #:strip-binaries? #f
-;;          #:configure-flags '("--mes")
-;;          #:phases
-;;          (modify-phases %standard-phases
-;;            (delete 'patch-shebangs)
-;;            (add-after 'install 'strip-install
-;;              (lambda _
-;;                (let* ((out (assoc-ref %outputs "out"))
-;;                       (share (string-append out "/share")))
-;;                  (delete-file-recursively (string-append out "/lib/guile"))
-;;                  (delete-file-recursively (string-append share "/guile"))
-;;                  (delete-file-recursively (string-append share "/mes/scaffold"))
-
-;;                  (for-each delete-file
-;;                            (find-files
-;;                             (string-append share "/mes/lib") "\\.(h|c)"))
-
-;;                  (for-each (lambda (dir)
-;;                              (for-each remove-store-references
-;;                                        (find-files (string-append out "/" dir)
-;;                                                    ".*")))
-;;                            '("bin" "share/mes")))))))))))
-
 ;; Two packages: first build static, bare minimum content.
 (define-public %mes-minimal
   ;; A minimal Mes without documentation.
   (let ((triplet "i686-unknown-linux-gnu"))
     (package
-      (inherit mes)
+      (inherit mes-0.19)
       (name "mes-minimal")
       (native-inputs
        `(("guile" ,guile-2.2)))
diff --git a/gnu/packages/mes.scm b/gnu/packages/mes.scm
index 3f76eeb886..a01e98b855 100644
--- a/gnu/packages/mes.scm
+++ b/gnu/packages/mes.scm
@@ -38,6 +38,7 @@
   #:use-module (guix utils))
 
 (define-public nyacc-0.86
+  ;; Nyacc used for bootstrap.
   (package
     (name "nyacc")
     (version "0.86.0")
@@ -91,22 +92,23 @@ extensive examples, including parsers for the Javascript and C99 languages.")
     (inputs
      `(("guile" ,guile-2.2)))))
 
-(define-public mes
+(define-public mes-0.19
+  ;; Mes used for bootstrap.
   (package
     (name "mes")
-    (version "0.20")
+    (version "0.19")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnu/mes/"
                                   "mes-" version ".tar.gz"))
               (sha256
                (base32
-                "04pajp8v31na34ls4730ig5f6miiplhdvkmsb9ls1b8bbmw2vb4n"))))
+                "15h4yhaywdc0djpjlin2jz1kzahpqxfki0r0aav1qm9nxxmnp1l0"))))
     (build-system gnu-build-system)
     (supported-systems '("i686-linux" "x86_64-linux"))
     (propagated-inputs
-     `(("mescc-tools" ,mescc-tools)
-       ("nyacc" ,nyacc)))
+     `(("mescc-tools" ,mescc-tools-0.5.2)
+       ("nyacc" ,nyacc-0.86)))
     (native-inputs
      `(("guile" ,guile-2.2)
        ,@(let ((target-system (or (%current-target-system)
@@ -135,6 +137,21 @@ Guile.")
     (home-page "https://gnu.org/software/mes")
     (license gpl3+)))
 
+(define-public mes
+  (package
+    (inherit mes-0.19)
+    (version "0.20")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "mirror://gnu/mes/"
+                                  "mes-" version ".tar.gz"))
+              (sha256
+               (base32
+                "04pajp8v31na34ls4730ig5f6miiplhdvkmsb9ls1b8bbmw2vb4n"))))
+    (propagated-inputs
+     `(("mescc-tools" ,mescc-tools)
+       ("nyacc" ,nyacc)))))
+
 (define-public mescc-tools-0.5.2
   ;; Mescc-tools used for bootstrap.
   (let ((commit "bb062b0da7bf2724ca40f9002b121579898d4ef7")
-- 
2.23.0


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0003-bootstrap-bash-Update-for-bash-5.0.patch
Content-Transfer-Encoding: quoted-printable

From a7bc0810e89013c4b908e29ed0d97ca8317c7ad7 Mon Sep 17 00:00:00 2001
From: Jan Nieuwenhuizen <janneke@HIDDEN>
Date: Sun, 29 Sep 2019 12:01:51 +0200
Subject: [PATCH 3/3] bootstrap: bash: Update for bash-5.0.

* gnu/packages/patches/bash-4.4-linux-pgrp-pipe.patch: Remove.
* gnu/packages/patches/bash-reproducible-linux-pgrp-pipe.patch: New file.
* gnu/packages/make-bootstrap.scm (static-bash-for-bootstrap): Update to use
it.
* gnu/local.mk (dist_patch_DATA): Likewise.
---
 gnu/local.mk                                  |  4 +--
 gnu/packages/make-bootstrap.scm               |  2 +-
 .../patches/bash-4.4-linux-pgrp-pipe.patch    | 30 ----------------
 .../bash-reproducible-linux-pgrp-pipe.patch   | 34 +++++++++++++++++++
 4 files changed, 37 insertions(+), 33 deletions(-)
 delete mode 100644 gnu/packages/patches/bash-4.4-linux-pgrp-pipe.patch
 create mode 100644 gnu/packages/patches/bash-reproducible-linux-pgrp-pipe.=
patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 9bd1e8882b..18a25e6bc7 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -11,7 +11,7 @@
 # Copyright =C2=A9 2016 Ben Woodcroft <donttrustben@HIDDEN>
 # Copyright =C2=A9 2016, 2017, 2018, 2019 Alex Vong <alexvong1995@HIDDEN=
m>
 # Copyright =C2=A9 2016, 2017, 2018, 2019 Efraim Flashner <efraim@flashner=
.co.il>
-# Copyright =C2=A9 2016, 2017 Jan Nieuwenhuizen <janneke@HIDDEN>
+# Copyright =C2=A9 2016, 2017, 2018, 2019 Jan (janneke) Nieuwenhuizen <jan=
neke@HIDDEN>
 # Copyright =C2=A9 2017, 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 # Copyright =C2=A9 2017, 2018 Cl=C3=A9ment Lassieur <clement@HIDDEN>
 # Copyright =C2=A9 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
@@ -706,7 +706,7 @@ dist_patch_DATA =3D						\
   %D%/packages/patches/avidemux-install-to-lib.patch		\
   %D%/packages/patches/awesome-reproducible-png.patch		\
   %D%/packages/patches/azr3.patch				\
-  %D%/packages/patches/bash-4.4-linux-pgrp-pipe.patch		\
+  %D%/packages/patches/bash-reproducible-linux-pgrp-pipe.patch	\
   %D%/packages/patches/bash-completion-directories.patch	\
   %D%/packages/patches/bastet-change-source-of-unordered_set.patch	\
   %D%/packages/patches/bazaar-CVE-2017-14176.patch		\
diff --git a/gnu/packages/make-bootstrap.scm b/gnu/packages/make-bootstrap.=
scm
index b1c4feb4f4..3a664fd94f 100644
--- a/gnu/packages/make-bootstrap.scm
+++ b/gnu/packages/make-bootstrap.scm
@@ -164,7 +164,7 @@ for `sh' in $PATH, and without nscd, and with static NS=
S modules."
     (source (origin
               (inherit (package-source static-bash))
               (patches
-               (cons (search-patch "bash-4.4-linux-pgrp-pipe.patch")
+               (cons (search-patch "bash-reproducible-linux-pgrp-pipe.patc=
h")
                      (origin-patches (package-source static-bash))))))))
=20
 (define %static-inputs
diff --git a/gnu/packages/patches/bash-4.4-linux-pgrp-pipe.patch b/gnu/pack=
ages/patches/bash-4.4-linux-pgrp-pipe.patch
deleted file mode 100644
index 0d03d7ce37..0000000000
--- a/gnu/packages/patches/bash-4.4-linux-pgrp-pipe.patch
+++ /dev/null
@@ -1,30 +0,0 @@
-Unconditionally enable PGRP_PIPE on Linux (the kernel), regardless of
-the kernel version in use on the build machine.
-
---- configure.ac.orig	1969-12-31 19:00:00.000000000 -0500
-+++ configure.ac	2019-08-11 22:28:26.038841961 -0400
-@@ -1092,9 +1092,7 @@
- solaris2*)	LOCAL_CFLAGS=3D-DSOLARIS ;;
- lynxos*)	LOCAL_CFLAGS=3D-DRECYCLES_PIDS ;;
- linux*)		LOCAL_LDFLAGS=3D-rdynamic		 # allow dynamic loading
--		case "`uname -r`" in
--		2.[[456789]]*|[[34]]*)	AC_DEFINE(PGRP_PIPE) ;;
--		esac ;;
-+		AC_DEFINE(PGRP_PIPE) ;;
- *qnx6*)		LOCAL_CFLAGS=3D"-Dqnx -Dqnx6" LOCAL_LIBS=3D"-lncurses" ;;
- *qnx*)		LOCAL_CFLAGS=3D"-Dqnx -F -3s" LOCAL_LDFLAGS=3D"-3s" LOCAL_LIBS=3D=
"-lunix -lncurses" ;;
- powerux*)	LOCAL_LIBS=3D"-lgen" ;;
---- configure.orig	1969-12-31 19:00:00.000000000 -0500
-+++ configure	2019-08-11 22:28:10.166763255 -0400
-@@ -16064,10 +16064,7 @@
- solaris2*)	LOCAL_CFLAGS=3D-DSOLARIS ;;
- lynxos*)	LOCAL_CFLAGS=3D-DRECYCLES_PIDS ;;
- linux*)		LOCAL_LDFLAGS=3D-rdynamic		 # allow dynamic loading
--		case "`uname -r`" in
--		2.[456789]*|[34]*)	$as_echo "#define PGRP_PIPE 1" >>confdefs.h
-- ;;
--		esac ;;
-+		$as_echo "#define PGRP_PIPE 1" >>confdefs.h ;;
- *qnx6*)		LOCAL_CFLAGS=3D"-Dqnx -Dqnx6" LOCAL_LIBS=3D"-lncurses" ;;
- *qnx*)		LOCAL_CFLAGS=3D"-Dqnx -F -3s" LOCAL_LDFLAGS=3D"-3s" LOCAL_LIBS=3D=
"-lunix -lncurses" ;;
- powerux*)	LOCAL_LIBS=3D"-lgen" ;;
diff --git a/gnu/packages/patches/bash-reproducible-linux-pgrp-pipe.patch b=
/gnu/packages/patches/bash-reproducible-linux-pgrp-pipe.patch
new file mode 100644
index 0000000000..8a03c4d982
--- /dev/null
+++ b/gnu/packages/patches/bash-reproducible-linux-pgrp-pipe.patch
@@ -0,0 +1,34 @@
+Unconditionally enable PGRP_PIPE on Linux (the kernel), regardless of
+the kernel version in use on the build machine.
+
+diff -purN bash-5.0-orig/configure bash-5.0/configure
+--- configure	1970-01-01 01:00:00.000000000 +0100
++++ configure	2019-09-29 11:51:42.664518665 +0200
+@@ -16312,11 +16312,7 @@ solaris2.10*)	LOCAL_CFLAGS=3D-DSOLARIS  ;;
+ solaris2*)	LOCAL_CFLAGS=3D-DSOLARIS ;;
+ lynxos*)	LOCAL_CFLAGS=3D-DRECYCLES_PIDS ;;
+ linux*)		LOCAL_LDFLAGS=3D-rdynamic		 # allow dynamic loading
+-		case "`uname -r`" in
+-		1.*|2.[0123]*)	: ;;
+-		*)	$as_echo "#define PGRP_PIPE 1" >>confdefs.h
+- ;;
+-		esac ;;
++		$as_echo "#define PGRP_PIPE 1" >>confdefs.h ;;
+ netbsd*|openbsd*)	LOCAL_CFLAGS=3D"-DDEV_FD_STAT_BROKEN" ;;
+ *qnx[67]*)	LOCAL_LIBS=3D"-lncurses" ;;
+ *qnx*)		LOCAL_CFLAGS=3D"-Dqnx -F -3s" LOCAL_LDFLAGS=3D"-3s" LOCAL_LIBS=3D=
"-lunix -lncurses" ;;
+diff -purN bash-5.0-orig/configure.ac bash-5.0/configure.ac
+--- configure.ac	1970-01-01 01:00:00.000000000 +0100
++++ configure.ac	2019-09-29 11:51:10.692026225 +0200
+@@ -1108,10 +1108,7 @@ solaris2.10*)	LOCAL_CFLAGS=3D-DSOLARIS  ;;
+ solaris2*)	LOCAL_CFLAGS=3D-DSOLARIS ;;
+ lynxos*)	LOCAL_CFLAGS=3D-DRECYCLES_PIDS ;;
+ linux*)		LOCAL_LDFLAGS=3D-rdynamic		 # allow dynamic loading
+-		case "`uname -r`" in
+-		1.*|2.[[0123]]*)	: ;;
+-		*)	AC_DEFINE(PGRP_PIPE) ;;
+-		esac ;;
++		AC_DEFINE(PGRP_PIPE) ;;
+ netbsd*|openbsd*)	LOCAL_CFLAGS=3D"-DDEV_FD_STAT_BROKEN" ;;
+ *qnx[[67]]*)	LOCAL_LIBS=3D"-lncurses" ;;
+ *qnx*)		LOCAL_CFLAGS=3D"-Dqnx -F -3s" LOCAL_LDFLAGS=3D"-3s" LOCAL_LIBS=3D=
"-lunix -lncurses" ;;
--=20
2.23.0


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#37549; Package guix. Full text available.

Message received at 37549 <at> debbugs.gnu.org:


Received: (at 37549) by debbugs.gnu.org; 29 Sep 2019 09:06:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 05:06:19 2019
Received: from localhost ([127.0.0.1]:52233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEV9m-0004Ox-Rr
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 05:06:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1iEV9k-0004Oj-Lw
 for 37549 <at> debbugs.gnu.org; Sun, 29 Sep 2019 05:06:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45994)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1iEV9d-0007Iw-9H; Sun, 29 Sep 2019 05:06:10 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=49674
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1iEV9W-0005Ar-MN; Sun, 29 Sep 2019 05:06:05 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Bengt Richter <bokr@HIDDEN>
Subject: Re: bug#37549: guix build bootstrap-tarballs installed but
 strip-install failed
Organization: AvatarAcademy.nl
References: <20190929070712.GA127225@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Sun, 29 Sep 2019 11:05:59 +0200
In-Reply-To: <20190929070712.GA127225@HIDDEN> (Bengt
 Richter's message of "Sun, 29 Sep 2019 00:07:12 -0700")
Message-ID: <878sq74glk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37549
Cc: 37549 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Bengt Richter writes:

> I tried
>     guix build bootstrap-tarballs

Yes, sadly that's not supported on current master.  It should work on
core-updates.  So I tried that and found it fails in similar ways.

> ERROR: In procedure lstat:
> In procedure lstat: No such file or directory: "/gnu/store/xjbkz6645qccnv=
fkmbc4wsvh7lffg2jn-mes-minimal-0.20/share/mes/scaffold"
> builder for `/gnu/store/w8y538fhxr9d9sm6653jq5xsl89q0aqk-mes-minimal-0.20=
.drv' failed with exit code 1
> build of /gnu/store/w8y538fhxr9d9sm6653jq5xsl89q0aqk-mes-minimal-0.20.drv=
 failed

Ah, that's not good.  The new Reduced Binary Seed bootstrap must use Mes
0.19.  Building the new bootstrap binaries is -- apparently -- only
works on tag bootstrap-20190815.

> HTH in some way.

Yes, thank you; I'm looking into it.  Mes should be fixed on 0.19,
MesCC-Tools schould be fixed on 0.5.2 and I just found that building
bootstrap-bash also breaks due to an update to bash-5.

Greetings,
jannneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#37549; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2019 07:07:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 03:07:32 2019
Received: from localhost ([127.0.0.1]:52083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iETIp-0001g4-Ua
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 03:07:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:58133)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bokr@HIDDEN>) id 1iETIo-0001fx-O5
 for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 03:07:31 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53285)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <bokr@HIDDEN>) id 1iETIn-0003UX-4L
 for bug-guix@HIDDEN; Sun, 29 Sep 2019 03:07:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bokr@HIDDEN>) id 1iETIl-0007xj-1A
 for bug-guix@HIDDEN; Sun, 29 Sep 2019 03:07:28 -0400
Received: from imta-36.everyone.net ([216.200.145.36]:55628
 helo=imta-38.everyone.net)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bokr@HIDDEN>) id 1iETIk-0007vJ-O4
 for bug-guix@HIDDEN; Sun, 29 Sep 2019 03:07:26 -0400
Received: from pps.filterd (m0004960.ppops.net [127.0.0.1])
 by imta-38.everyone.net (8.16.0.27/8.16.0.27) with SMTP id x8T7322o006129
 for <bug-guix@HIDDEN>; Sun, 29 Sep 2019 00:07:23 -0700
X-Eon-Originating-Account: XHIc9I6HPATBlnQtQ5admIlztrt2c-10L8RL_QhjwQo
X-Eon-Dm: m0116293.ppops.net
Received: by m0116293.mta.everyone.net (EON-AUTHRELAY2 - 32d0d199) id
 m0116293.5d8d412f.491cf
 for <bug-guix@HIDDEN>; Sun, 29 Sep 2019 00:07:22 -0700
X-Eon-Sig: AQMHrIJdkFgqVaywPgIAAAAB,f5f12309ba8f5ee435d728d64953925d
X-Eip: UJKNCJSzPVYDK0XfOTds9ziZuOvJ7gPJNMYTgESHJDE
Date: Sun, 29 Sep 2019 00:07:12 -0700
From: Bengt Richter <bokr@HIDDEN>
To: New-Bug <bug-guix@HIDDEN>
Subject: guix build bootstrap-tarballs installed but strip-install failed
Message-ID: <20190929070712.GA127225@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
User-Agent: Mutt/1.12.1 (2019-06-15)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:, ,
 definitions=2019-09-29_04:, , signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1034
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1908290000
 definitions=main-1909290080
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic] [fuzzy]
X-Received-From: 216.200.145.36
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Bengt Richter <bokr@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

I tried
    guix build bootstrap-tarballs

and it seems to have worked the whole way until then end,
(though I thought I saw warnings about exit and abort being undefined)
leaving the following on the screen:

----8<--------------------------------------------------->8----
PASS: lib/tests/scaffold/a0-math-divide-signed-negative.c
PASS: lib/tests/scaffold/a1-global-no-align.c
PASS: lib/tests/scaffold/a1-global-no-clobber.c
============================================================================
Testsuite summary for GNU Mes
============================================================================
# TOTAL: 191
# PASS:  185
# SKIP:  0
# XFAIL: 6
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
phase `check' succeeded after 384.4 seconds
starting phase `install'
GNUmakefile:159: skipping info: no makeinfo
GNUmakefile:165: skipping man: no help2man
GNUmakefile:192: info: graphvis missing: no images
GNUmakefile:286: update-hash: no guix
/gnu/store/4yyw7brvww6dk9cwwvdq724qdfz2zn0v-bash-minimal-4.4.23/bin/bash install.sh
phase `install' succeeded after 0.1 seconds
starting phase `strip-install'
Backtrace:
           6 (primitive-load "/gnu/store/dk0ywzl09zqcdvln8j7l4sla61h?")
In ice-9/eval.scm:
   191:35  5 (_ _)
In srfi/srfi-1.scm:
   863:16  4 (every1 #<procedure 82648e0 at /gnu/store/qjikgbmjfn61?> ?)
In /gnu/store/qjikgbmjfn618665s8jnn4r3zg5xzf8c-module-import/guix/build/gnu-build-system.scm:
   799:28  3 (_ _)
In ice-9/eval.scm:
    619:8  2 (_ #(#(#(#(#<directory (guile-user) 817e910>) (?)) #) #))
In /gnu/store/qjikgbmjfn618665s8jnn4r3zg5xzf8c-module-import/guix/build/utils.scm:
   340:23  1 (delete-file-recursively "/gnu/store/xjbkz6645qccnvfkm?" ?)
In unknown file:
           0 (lstat "/gnu/store/xjbkz6645qccnvfkmbc4wsvh7lffg2jn-mes?")

ERROR: In procedure lstat:
In procedure lstat: No such file or directory: "/gnu/store/xjbkz6645qccnvfkmbc4wsvh7lffg2jn-mes-minimal-0.20/share/mes/scaffold"
builder for `/gnu/store/w8y538fhxr9d9sm6653jq5xsl89q0aqk-mes-minimal-0.20.drv' failed with exit code 1
build of /gnu/store/w8y538fhxr9d9sm6653jq5xsl89q0aqk-mes-minimal-0.20.drv failed
View build log at '/var/log/guix/drvs/w8/y538fhxr9d9sm6653jq5xsl89q0aqk-mes-minimal-0.20.drv.bz2'.
cannot build derivation `/gnu/store/xccfsbs29dhimindp133c172nskyjx72-mes-minimal-stripped-0.20.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/pjrx07gwqlh6di8in8f401jqghwriqx6-mes-minimal-stripped-tarball-0.20.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/fqcvn41c0ja1ml7hl1pbbaadgbm29xyd-bootstrap-tarballs-0.drv': 1 dependencies couldn't be built
guix build: error: build of `/gnu/store/fqcvn41c0ja1ml7hl1pbbaadgbm29xyd-bootstrap-tarballs-0.drv' failed
[21:39 ~/ug/test]$ su -c 'setterm -file guix-build-bootstrap-tarballs.txt -dump 1'
----8<--------------------------------------------------->8----

Looking in /gnu:
----8<--------------------------------------------------->8----
[22:25 ~/ug/test]$ find /gnu -iname '*mes-minimal*' > find-mes-minimal.txt
...
[22:27 ~/ug/test]$ less find-mes-minimal.txt
/gnu/store/xjbkz6645qccnvfkmbc4wsvh7lffg2jn-mes-minimal-0.20.lock
/gnu/store/dk0ywzl09zqcdvln8j7l4sla61h9zwra-mes-minimal-0.20-guile-builder
/gnu/store/w8y538fhxr9d9sm6653jq5xsl89q0aqk-mes-minimal-0.20.drv
/gnu/store/rpcmp8ip1vwjzbw60ihq686zs7m3wiak-mes-minimal-stripped-0.20-guile-builder
/gnu/store/xccfsbs29dhimindp133c172nskyjx72-mes-minimal-stripped-0.20.drv
/gnu/store/arn6dk33rlwpv20kjc84x0gkmii4hhx6-mes-minimal-stripped-tarball-0.20-guile-builder
/gnu/store/pjrx07gwqlh6di8in8f401jqghwriqx6-mes-minimal-stripped-tarball-0.20.drv
/gnu/store/xjbkz6645qccnvfkmbc4wsvh7lffg2jn-mes-minimal-0.20
----8<--------------------------------------------------->8----

guix describe
----8<--------------------------------------------------->8----
Generation 13	Sep 13 2019 18:20:16	(current)
  guix 6e377b8
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 6e377b88930226f3f74ba9fac74d80c36494d9be
----8<--------------------------------------------------->8----    



----8<--------------------------------------------------->8----    
[23:24 ~/ug/test]$ readlink $(find /gnu -iname '*bootstrap*tarballs-0')/*|xargs file
/gnu/store/ciprl3dvgxnh290jfxwiyybn5g9zm525-binutils-static-stripped-tarball-2.31.1/binutils-static-stripped-2.31.1-x86_64-linux.tar.xz: XZ compressed data
/gnu/store/ylkls2zc2144bi5k2zr73g4zfpkn8w7r-gcc-stripped-tarball-5.5.0/gcc-stripped-5.5.0-x86_64-linux.tar.xz:                           XZ compressed data
/gnu/store/36hi46xywgskl35f3n94m6f5lvalxdwr-glibc-stripped-tarball-2.28/glibc-stripped-2.28-x86_64-linux.tar.xz:                         XZ compressed data
/gnu/store/7wnpikfng5kdg7bnjd49dmmgswlsfd5c-guile-static-stripped-tarball-2.2.4/guile-static-stripped-2.2.4-x86_64-linux.tar.xz:         XZ compressed data
/gnu/store/xy17z7ichfr1gdpw53cqpd3b3zzfzmc7-static-binaries-tarball-0/static-binaries-0-x86_64-linux.tar.xz:                             XZ compressed data
[23:24 ~/ug/test]$
[23:24 ~/ug/test]$ readlink $(find /gnu -iname '*bootstrap*tarballs-0')/*|xargs lsc
~/ug/test:
          1,819,060 1969-12-31 16:00:01 [f] /gnu/store/36hi46xywgskl35f3n94m6f5lvalxdwr-glibc-stripped-tarball-2.28/glibc-stripped-2.28-x86_64-linux.tar.xz
          5,930,448 1969-12-31 16:00:01 [f] /gnu/store/7wnpikfng5kdg7bnjd49dmmgswlsfd5c-guile-static-stripped-tarball-2.2.4/guile-static-stripped-2.2.4-x86_64-l
inux.tar.xz
          2,157,516 1969-12-31 16:00:01 [f] /gnu/store/ciprl3dvgxnh290jfxwiyybn5g9zm525-binutils-static-stripped-tarball-2.31.1/binutils-static-stripped-2.31.1-
x86_64-linux.tar.xz
          6,099,348 1969-12-31 16:00:01 [f] /gnu/store/xy17z7ichfr1gdpw53cqpd3b3zzfzmc7-static-binaries-tarball-0/static-binaries-0-x86_64-linux.tar.xz
         18,737,136 1969-12-31 16:00:01 [f] /gnu/store/ylkls2zc2144bi5k2zr73g4zfpkn8w7r-gcc-stripped-tarball-5.5.0/gcc-stripped-5.5.0-x86_64-linux.tar.xz
----8<--------------------------------------------------->8----    
Looks like the tarballs did wind up in store...

I just happened to be reading info guix and thought I'd try that simple command,
guix build bootstrap-tarballs, not realizing how long it would take :-)

FWIW, the only thing I could find relevant to scaffold was in an ocaml thing:
guix package -s scaffold
----8<--------------------------------------------------->8----
name: ocaml-ppx-compare
version: 0.11.1
outputs: out
systems: x86_64-linux i686-linux armhf-linux aarch64-linux mips64el-linux
dependencies: ocaml-base@HIDDEN ocaml-migrate-parsetree@HIDDEN
+ ocaml-ppxlib@HIDDEN
location: gnu/packages/ocaml.scm:4076:2
homepage: https://github.com/janestreet/ppx_compare
license: ASL 2.0
synopsis: Generation of comparison functions from types  
description: Generation of fast comparison functions from type expressions and
+ definitions.  Ppx_compare is a ppx rewriter that derives comparison functions
+ from type representations.  The scaffolded functions are usually much faster
+ than ocaml's Pervasives.compare.  Scaffolding functions also gives you more
+ flexibility by allowing you to override them for a specific type and more
+ safety by making sure that you only compare comparable values.
relevance: 4
----8<--------------------------------------------------->8----

HTH in some way.

Regards,
Bengt Richter




Acknowledgement sent to Bengt Richter <bokr@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#37549; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 29 Sep 2019 16:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.